> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/global/content-filters

> Get basic details for all content filter under the current enterprise

## OpenAPI

````json GET /v1/global/content-filters
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/global/content-filters": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1GlobalContentFiltersGetResponse"
                }
              }
            }
          }
        },
        "description": "Get basic details for all content filter under the current enterprise"
      }
    }
  },
  "components": {
    "schemas": {
      "v1GlobalContentFiltersGetResponse": {
        "type": "object",
        "properties": {
          "rows": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1GlobalContentFiltersGetResponseRow"
            }
          }
        },
        "additionalProperties": false
      },
      "v1GlobalContentFiltersGetResponseRow": {
        "type": "object",
        "properties": {
          "createdAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "globalContentFilterId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "ID for the global content filter."
          },
          "globalContentFilterName": {
            "type": "string",
            "example": "example string",
            "description": "Given name of this global content filter."
          },
          "lans": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1GlobalContentFiltersGetResponseRowLanEntry"
            }
          },
          "rules": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1GlobalContentFiltersGetResponseRowRuleEntry"
            }
          },
          "sites": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1GlobalContentFiltersGetResponseRowSiteEntry"
            }
          },
          "updatedAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "v1GlobalContentFiltersGetResponseRowLanEntry": {
        "type": "object",
        "properties": {
          "lanName": {
            "type": "string",
            "example": "example string",
            "description": "Name of a LAN segment that the filter is applied on."
          }
        },
        "additionalProperties": false
      },
      "v1GlobalContentFiltersGetResponseRowRuleEntry": {
        "type": "object",
        "properties": {
          "domainCategory": {
            "type": "string",
            "example": "example string",
            "description": "Name of the domain category whose traffic is blocked by this rule."
          },
          "exceptionWildcards": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string",
              "description": "Wildcard patterns for domains that remain allowed despite the category block."
            }
          }
        },
        "additionalProperties": false
      },
      "v1GlobalContentFiltersGetResponseRowSiteEntry": {
        "type": "object",
        "properties": {
          "siteName": {
            "type": "string",
            "example": "example string",
            "description": "Display name of a site included in this filter's global or site-list-bounded scope."
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

